<?php

namespace Concrete\Package\Chatwee;

use Events;
use SinglePage;
use Database;
use Package;
use \Concrete\Package\Chatwee\Src\ChatweeEvents;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package
{
    protected $pkgHandle = "chatwee";

    protected $appVersionRequired = "5.7.0.4";

    protected $pkgVersion = "0.9.2";

	protected $pkgAutoloaderRegistries = array(
		'src/sso' => 'Chatwee\Sso'
	);

    public function getPackageName()
    {
        return t("Chatwee Chat");
    }

    public function getPackageDescription()
    {
        return t("Chatwee chat add-on lets your site visitors interact with each other in real time.");
    }

    public function install()
    {
        $pkg = parent::install();

        $sp = SinglePage::add("/dashboard/chatwee", $pkg);

        if (is_object($sp))
        {
            $sp->update(array("cName"=>t("Chatwee Chat")));
        }
    }

	public function uninstall()
	{
		parent::uninstall();
		$db = Database::getActiveConnection();
		$db->executeUpdate("DROP TABLE IF EXISTS chatweeUsers");
	}

	public function on_start()
	{
		$chatweeEvents = new ChatweeEvents();
        Events::addListener("on_user_login", array($chatweeEvents, "onUserLoginEventcallback"));
        Events::addListener("on_user_logout", array($chatweeEvents, "onUserLogoutEventCallback"));
        Events::addListener("on_before_render", array($chatweeEvents, "onBeforeRenderEventCallback"));
    }
}
